﻿# HeidiSQL Dump 
#
# --------------------------------------------------------
# Host:                         4GBD02346
# Database:                     performance
# Server version:               5.1.43-community
# Server OS:                    Win32
# Target compatibility:         ANSI SQL
# HeidiSQL version:             4.0
# Date/time:                    2/16/2010 7:15:11 PM
# --------------------------------------------------------

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ANSI,NO_BACKSLASH_ESCAPES';*/
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;*/


#
# Database structure for database 'performance'
#

CREATE DATABASE /*!32312 IF NOT EXISTS*/ "performance" /*!40100 DEFAULT CHARACTER SET ascii */;

USE "performance";


#
# Table structure for table 'jobsessionmap'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "jobsessionmap" (
  "iterator" int(10) unsigned NOT NULL AUTO_INCREMENT,
  "jobid" int(10) unsigned NOT NULL,
  "sessionid" bigint(20) unsigned NOT NULL,
  PRIMARY KEY ("iterator"),
  UNIQUE KEY "iterator" ("iterator")
) AUTO_INCREMENT=6 COMMENT='Maps session identifiers to job identifiers';



#
# Table structure for table 'testresultstable'
#

CREATE TABLE /*!32312 IF NOT EXISTS*/ "testresultstable" (
  "iterator" int(8) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Allows easy reference and ordering of data inserted.  Autogenerated number during insertion.',
  "sessionid" bigint(20) unsigned NOT NULL COMMENT 'Random value, unique per test execution framework instance.  First million reserved for compaction.',
  "testname" text NOT NULL COMMENT 'The testexecute framework test name should be used here to map a test result to the test case source code.',
  "testattribute" text NOT NULL COMMENT 'A given performance test may produce several attributes, e.g. framerate value, characters per second value.  Each of these is a separate attribute.',
  "testunits" text NOT NULL COMMENT 'Numerical results have a unit.  For example, this could be fps for frames per second, or MB/s for Megabits per second.',
  "testresultvalue" double unsigned NOT NULL COMMENT 'Numerical result value in the units specified in testunits',
  PRIMARY KEY ("iterator")
) AUTO_INCREMENT=27 COMMENT='Raw test results from graphics package performance tests.';

/*!40101 SET SQL_MODE=@OLD_SQL_MODE;*/
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;*/
